[MERGED] libosmocore[master]: jenkins: bail early if $MAKE env var is not set

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Tue Oct 24 15:31:07 UTC 2017


Neels Hofmeyr has submitted this change and it was merged.

Change subject: jenkins: bail early if $MAKE env var is not set
......................................................................


jenkins: bail early if $MAKE env var is not set

If $MAKE is unset, it produces confusing errors, rather check explicitly.

Change-Id: I59b111dfdee4e1edea04155144f01d99f5f72aa1
---
M contrib/jenkins_common.sh
1 file changed, 6 insertions(+), 0 deletions(-)

Approvals:
  Max: Looks good to me, but someone else must approve
  Harald Welte: Looks good to me, approved
  Jenkins Builder: Verified



diff --git a/contrib/jenkins_common.sh b/contrib/jenkins_common.sh
index 6cfa334..bc4ac65 100644
--- a/contrib/jenkins_common.sh
+++ b/contrib/jenkins_common.sh
@@ -2,6 +2,12 @@
 
 set -ex
 
+if [ -z "$MAKE" ]; then
+    set +x
+    echo "Error: you need to set \$MAKE before invoking, e.g. MAKE=make"
+    exit 1
+fi
+
 verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
 
 prep_build() {

-- 
To view, visit https://gerrit.osmocom.org/4384
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: merged
Gerrit-Change-Id: I59b111dfdee4e1edea04155144f01d99f5f72aa1
Gerrit-PatchSet: 2
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: Max <msuraev at sysmocom.de>
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list